<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Co2 Management</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Co2 Mangement
                    </div>
                    <div class="card-body">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link active" id="car-tab" data-toggle="tab" href="#car" role="tab"
                                    aria-controls="car" aria-selected="true">Car</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" id="bike-tab" data-toggle="tab" href="#bike" role="tab"
                                    aria-controls="bike" aria-selected="false">Bike</a>
                            </li>

                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="car" role="tabpanel" aria-labelledby="car-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Car</h5>
                                        </a>

                                    </div>
                                    <div class="col-6 txtright">

                                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                            title="Excel" (click)="exportAsXLSX()">
                                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                        </button>
                                    </div>
                                </div>

                                <hr>
                                <div class="row py-2">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mb-3">
                                            <div class="p-2 bd-highlight">
                                                <button routerLink="add_car_norms" class="btn btnclrs adduser"
                                                    tabindex="0">
                                                    <i class="fa fa-plus-circle pr-1"></i>
                                                    Add Car Norms
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" placeholder="Search" [(ngModel)]="searchText">
                                                <div class="input-group-append">
                                                    <span class="input-group-text btnclrs">
                                                        <i class="fa fa-search"></i>
                                                    </span>

                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="table-responsive-sm">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col">Petrol Norms</th>
                                                <th scope="col">Diesel Norms</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor = "let carNorm of carNormsArray| filter:searchText | paginate: { itemsPerPage: 15, currentPage: p };let i=index">
                                                <th *ngIf="p>1">{{((p-1)*15)+(i+1)}}</th>
                                                <th *ngIf="p===1">{{i+1}}</th>
                                                <td>{{carNorm.petrol_norms}}</td>
                                                <td>{{carNorm.diesel_norms }}</td>
                                                <td>{{carNorm.date | date }}</td>
                                                <td>
                                                    <a class="btn edit" (click)="updateCarNormsSubmit(carNorm)">
                                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                                    </a>
                                                    <a class="btn delete" (click)="deleteCarNorm(carNorm._id)">
                                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                                    </a>
                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls (pageChange)="p = $event"></pagination-controls>
                                    </div>
                                </div>

                            </div>
                            <div class="tab-pane fade" id="bike" role="tabpanel" aria-labelledby="bike-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Bike</h5>
                                        </a>

                                    </div>
                                    <div class="col-6 txtright">

                                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                            title="Excel">
                                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                        </button>
                                    </div>
                                </div>

                                <hr>
                                <div class="row py-2">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mb-3">
                                            <div class="p-2 bd-highlight">
                                                <button routerLink="add_bike_norms" class="btn btnclrs adduser"
                                                    tabindex="0">
                                                    <i class="fa fa-plus-circle pr-1"></i>
                                                    Add Bike Norms
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" placeholder="Search" [(ngModel)]="searchText">
                                                <div class="input-group-append">
                                                    <span class="input-group-text btnclrs">
                                                        <i class="fa fa-search"></i>
                                                    </span>

                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="table-responsive-sm">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col">Petrol Norms</th>
                                                <th scope="col">Diesel Norms</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor = "let bikeNorm of bikeNormsArray| filter:searchText | paginate: { itemsPerPage: 15, currentPage: p }; let i=index">
                                                <th *ngIf="p>1">{{((p-1)*15)+(i+1)}}</th>
                                                <th *ngIf="p===1">{{i+1}}</th>
                                                <td>{{bikeNorm.petrol_norms}}</td>
                                                <td>{{bikeNorm.diesel_norms }}</td>
                                                 <td>{{bikeNorm.date |date }}</td>
                                                <td>
                                                    <a class="btn edit" (click)="updateBikeNorm(bikeNorm)">
                                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                                    </a>
                                                     <a class="btn delete" (click)="deleteBikeNorm(bikeNorm._id)">
                                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                                    </a> 
                                                 </td>
                                            </tr> 

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls (pageChange)="p = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

  
  <!--Car Norms Modal -->
  <div class="modal fade" id="carNormsModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Update Car Norms</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form action="" [formGroup]="carNormUpdateForm" (ngSubmit)="onSubmit()">
                <input type="hidden" formControlName="id">
                <div class="form-group">
                    <label for="nbike"> Petrol Norms</label>
                    <input type="number" placeholder="Petrol Value" class="form-control" formControlName="petrol_norms" [ngClass]="{ 'is-invalid': submitted && f.petrol_norms.errors }">
                    <div *ngIf="submitted && f.petrol_norms.errors" class="invalid-feedback">
                        <div *ngIf="f.petrol_norms.errors.required">Petrol Norms is required</div>
                        <div *ngIf="f.petrol_norms.errors.pattern"> Only numbers should enter  </div> 
                    </div>
                </div>
                <div class="form-group">
                    <label for="nbike"> Diesel Norms</label>
                    <input type="number" placeholder="Diesel Value" class="form-control" formControlName="diesel_norms" [ngClass]="{ 'is-invalid': submitted && f.diesel_norms.errors }">
                    <div *ngIf="submitted && f.diesel_norms.errors" class="invalid-feedback">
                        <div *ngIf="f.diesel_norms.errors.required">Diesel Norms is required</div>
                        <div *ngIf="f.diesel_norms.errors.pattern"> Only numbers should enter  </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="nbike"> Date</label>
                    <input type="date" placeholder="Diesel Value" [min]="todayDate" class="form-control" formControlName="date">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-success" id="updateCarSubmit" [disabled]="carNormUpdateForm.invalid">Save changes</button>
                  </div>
            </form>
        </div>
        
      </div>
    </div>
  </div>


  <!-- Bike Modal -->
  <div class="modal fade" id="bikeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Update Bike Norms</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form action="" [formGroup]="BikeNormUpdateForm" (ngSubmit)="onSubmitBikeNorm()">
                <input type="hidden" formControlName="id">
                <div class="form-group">
                    <label for="nbike"> Petrol Norms</label>
                    <input type="text" placeholder="Petrol Value" class="form-control" formControlName="petrol_norms" [ngClass]="{ 'is-invalid': submitted && n.petrol_norms.errors }">
                    <div *ngIf="submitted && n.petrol_norms.errors" class="invalid-feedback">
                        <div *ngIf="n.petrol_norms.errors.required">Petrol Norms is required</div>
                        <div *ngIf="n.petrol_norms.errors.pattern"> Only numbers should enter  </div> 
                    </div>
                </div>
                <div class="form-group">
                    <label for="nbike"> Diesel Norms</label>
                    <input type="text" placeholder="Diesel Value" class="form-control" formControlName="diesel_norms" [ngClass]="{ 'is-invalid': submitted && n.diesel_norms.errors }">
                    <div *ngIf="submitted && n.diesel_norms.errors" class="invalid-feedback">
                        <div *ngIf="n.diesel_norms.errors.required">Diesel Norms is required</div>
                        <div *ngIf="n.diesel_norms.errors.pattern"> Only numbers should enter  </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="nbike"> Date</label>
                    <input type="date" placeholder="Diesel Value" [min]="todayDate" class="form-control" formControlName="date">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-success" id="updateBikeSubmit" [disabled]="BikeNormUpdateForm.invalid">Save changes</button>
                  </div>
            </form>
        </div>
      </div>
    </div>
  </div>